Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.gui
Interface Histogram

All Known Implementing Classes:
  HistogramImpl

public interface Histogram
extends ArchivedGeometryWidget, ArchivedGeometryWidgetS

Histogram display tool.. In Tk, this is based on BLT's barchart. The number of bins is fixed at creation time, then the user hands the Histogram an array of datapoints (double or int) to display (or optionally an array of datapoints and locations where the bars should be drawn (specified as doubles).

Method Summary
`void` | `hideLegend()` Hide the legend on the histogram.
`void` | `setActiveOutlierText$count(int outliers, int count)` Set the text that describes a specified number of outliers.
`java.lang.Object` | `setAxisLabelsX$Y(java.lang.String xl, java.lang.String yl)` Set the axis labels.
`void` | `setBarWidth(double step)` Set the width of the bars.
`void` | `setColors$count(java.lang.String[] c, int count)` Set colors for the histogram bars.
`void` | `setLabels$count(java.lang.String[] l, int count)` Set labels for the histogram bars.
`java.lang.Object` | `setTitle(java.lang.String title)` Set the title of the histogram.
`void` | `setupActiveItemInfo()`
`void` | `setupActiveOutlierMarker()`
`void` | `setupZoomStack()`
`void` | `setXaxisMin$max$step(double min, double max, double step)` Set the X range and step size for the histogram.
`void` | `setXaxisMin$max$step$precision(double min, double max, double step, int precision)` Set the X range, step size, and number of major-tick-label significant figures for the histogram.

Methods inherited from interface swarm.gui.ArchivedGeometryWidget
`updateArchiver`

Methods inherited from interface swarm.gui.Widget
`disableDestroyNotification, enableDestroyNotification$notificationMethod, getDestroyedFlag, getHeight, getParent, getTopLevel, getWidgetName, getWidth, getWindowGeometry, getX, getY, pack, packBeforeAndFillLeft$expand, packFill, packFillLeft, packForgetAndExpand, packToRight, setActiveFlag, setHeight, setWidth, setWidth$Height, setWindowGeometry, setWindowTitle, setX$Y`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### setColors$count

    public void setColors$count(java.lang.String[] c,
                                int count)

  Set colors for the histogram bars. If not set, all are blue. Colors are arrays of strings (one per bin/bar) of color names.

### setLabels$count

    public void setLabels$count(java.lang.String[] l,
                                int count)

  Set labels for the histogram bars. If not set, they remain blank. Labels are arrays of strings, one per bin/bar.

### setTitle

    public java.lang.Object setTitle(java.lang.String title)

  Set the title of the histogram.

### setBarWidth

    public void setBarWidth(double step)

  Set the width of the bars.

### setXaxisMin$max$step

    public void setXaxisMin$max$step(double min,
                                     double max,
                                     double step)

  Set the X range and step size for the histogram. Display three significant figures for the major-tick labels.

### setXaxisMin$max$step$precision

    public void setXaxisMin$max$step$precision(double min,
                                               double max,
                                               double step,
                                               int precision)

  Set the X range, step size, and number of major-tick-label significant figures for the histogram.

### setAxisLabelsX$Y

    public java.lang.Object setAxisLabelsX$Y(java.lang.String xl,
                                             java.lang.String yl)

  Set the axis labels.

### setActiveOutlierText$count

    public void setActiveOutlierText$count(int outliers,
                                           int count)

  Set the text that describes a specified number of outliers.

### hideLegend

    public void hideLegend()

  Hide the legend on the histogram.

### setupZoomStack

    public void setupZoomStack()

### setupActiveOutlierMarker

    public void setupActiveOutlierMarker()

### setupActiveItemInfo

    public void setupActiveItemInfo()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD